Security Lab

PHP-инклюдинг в Php AMX

Дата публикации:18.10.2006
Дата изменения:11.12.2006
Всего просмотров:1002
Опасность:
Высокая
Наличие исправления: Нет
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: Php AMX 0.x
Уязвимые версии: Php AMX 0.9.0, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "plug_path" в сценарии plugins/main.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

URL производителя: sourceforge.net/projects/phpamx/

Решение: Способов устранения уязвимости не существует в настоящее время.